Return a compact owned and related attachment summary for a Resource Catalog identity.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/attachments/resource-summary"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"Resource\": { \"ModuleKey\": \"example\", \"ResourceKind\": \"example\", \"ContextResourceId\": \"example\", \"ResourceObjectId\": \"example\" }, \"Scope\": 0, \"Limit\": 1 }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/attachments/resource-summary';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"Resource":{"ModuleKey":"example","ResourceKind":"example","ContextResourceId":"example","ResourceObjectId":"example"},"Scope":0,"Limit":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/attachments/resource-summary \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "Resource": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "Scope": 0, "Limit": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”object
Stable identity of one Moltaro resource instance.
object
object
Stable identity of one Moltaro resource instance.
object
object
Stable identity of one Moltaro resource instance.
object
Responses
Section titled “Responses”OK
object
object
object
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
Relation kind between content and a resource.
object
object
object
object
object
object
Example
{ "Data": { "Items": [ { "Placement": 0, "File": { "Relations": [ { "RelationKind": 0 } ], "Origin": null, "Descriptor": { "StorageType": 0, "AvailabilityState": 0 } }, "RelationKind": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
object
object
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
Relation kind between content and a resource.
object
object
object
object
object
object
Example
{ "Data": { "Items": [ { "Placement": 0, "File": { "Relations": [ { "RelationKind": 0 } ], "Origin": null, "Descriptor": { "StorageType": 0, "AvailabilityState": 0 } }, "RelationKind": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
object
object
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
Relation kind between content and a resource.
object
object
object
object
object
object
Example
{ "Data": { "Items": [ { "Placement": 0, "File": { "Relations": [ { "RelationKind": 0 } ], "Origin": null, "Descriptor": { "StorageType": 0, "AvailabilityState": 0 } }, "RelationKind": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Not Found
object
object
object
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
object
Stable identity of one Moltaro resource instance.
object
object
object
Relation kind between content and a resource.
object
object
object
object
object
object
Example
{ "Data": { "Items": [ { "Placement": 0, "File": { "Relations": [ { "RelationKind": 0 } ], "Origin": null, "Descriptor": { "StorageType": 0, "AvailabilityState": 0 } }, "RelationKind": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}